!     "<%Z% %Y%%M%	%I% %G% PSS>"

#define PETERS_GREGG_NU		0
#define PACANOSWKI_NU		1
#define KRAUS_NU		0


      real function FNU(Rich,N2)
      implicit none
      real Rich         ! Richardson number
      real N2           ! dbdz
      
#if PETERS_GREGG_NU
      real NU_0
      parameter ( NU_0 =  5.E-04 ) 
      real NU_c
      parameter ( NU_c = 20.E-04 ) 
      real NU_b
      parameter ( NU_b =  2.E-05 )
     
      FNU = 5.6E-8 * Rich ** ( -8.2 ) 
     &    + NU_0 / ( 1. + 5.* Rich )**1.5 + NU_b 
c      FNU=amin1(FNU,NU_c)
#else
      real NU_0
      parameter ( NU_0 = 50.E-04 )
      real NU_b
      parameter ( NU_b =  1.E-04 )

      FNU = NU_0 / ( 1. + 5. * Rich )**2 + NU_b
      
#endif

#if KRAUS_NU

!      real K_nu
!      parameter ( K_nu = 14.375E-07 )
      
!      FNU = FNU + 14.375E-08 / SQRT(N2) 
      FNU = FNU + 5.75E-07 / SQRT(N2) 
       
#endif

 
      
      
      END
